<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('categories', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('slug')->unique(); // Para URLs amigables
            $table->timestamps();
        });

        Schema::create('category_project', function (Blueprint $table) {
            $table->foreignId('category_id')->constrained();
            $table->foreignId('project_id')->constrained();
            $table->primary(['category_id', 'project_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('categories');
        Schema::dropIfExists('categories_projects');
    }
};
